<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <author email="dion@multitask.com.au">dIon Gillard</author>
    <author email="plynch@apache.org">Peter Lynch</author>
    <title>Futures for the J2EE Plug-in</title>
  </properties>

  <body>
  <section name="Futures">
    <p>
    The following is a list of things that are being contemplated
    for the Maven J2EE Plug-in.
    </p>
    <ol>
      <li>
        We need to have Class-Path entries in generated J2EE EJB jars and
        such. Quite tricky as it doesn't work the same for all application
        servers (and across versions of them !).
      </li>
      <li>
        Add HTML validation.
      </li>
      <li>
        Add EAR validation.
      </li>
      <li>
        Add validation of Tag libraries to the validate-war goal.
      </li>
      <li>
        Add technology specific validators, e.g. JSP/Turbine/Velocity/Struts
        etc
      </li>
   </ol>
   </section>
 </body>
</document>
